Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 04-06-2012 14:57:07

Bruno10
Membre
Lieu : Rennes
Distrib. : Wheezy/Sid
Noyau : 3.2 amd64
(G)UI : XFCE 4.10
Inscription : 25-03-2010

XFCE 4.10

Bonjour,

Je m'aperçois que je n'ai pas posté dans DF depuis un an, parce que... parce que bon.

J'ai beau essayer divers environnements, je suis resté un moment sous LXDE, je reviens toujours à XFCE.

Bref, aujourd'hui il m'a pris d'installer la version 4.10 présente dans les dépôts "experimental". En attendant qu'elle pointe son nez dans Sid (ou même dans la future stable Wheezy, me prends-je à espérer).

Je crois que je n'utiliserai pas beaucoup le "tiling"... par contre très content de trouver enfin un éditeur de type MIME simple et accessible.

L'interface d'exécution de commandes par Alt-F2 est grandement améliorée --> suggestion d'applications à lancer très conviviale.

Autres retours d'expérience ? je lance le sujet... smile

If it ain't broke, don't fix it.

Hors ligne

#2 05-06-2012 07:01:56

Thuban
Modérateur
Distrib. : OpenBSD
Noyau : current
(G)UI : xfce ou dwm
Inscription : 09-01-2009
Site Web

Re : XFCE 4.10

Un éditeur de type MIME? C'est à dire?

Pas de retour encore sur 4.10, mais sur xfce en général : rapide, ne s'encombre pas de superflu, et tout type d'intégration s'y intègre très bien. Je suis comme toi, j'y reviens toujours smile .

Cependant, je garde parfois l'impression d'un "pas encore fini", qui s'arrangera peut-être dans 4.10.

YA3HGA-H

Hors ligne

#3 05-06-2012 10:26:25

Bruno10
Membre
Lieu : Rennes
Distrib. : Wheezy/Sid
Noyau : 3.2 amd64
(G)UI : XFCE 4.10
Inscription : 25-03-2010

Re : XFCE 4.10

Thuban a écrit :

Un éditeur de type MIME? C'est à dire?


MIME= Multipurpose Internet Mail Extensions

L'éditeur de type MIME permet d'associer un lanceur à une extension de fichier. Par exemple j'ai décidé que tous mes fichiers .pdf s'ouvrent par défaut avec Evince, mes .jpg avec Gnenview, mes .doc avec LibreOffice Writer, etc.

Et donc avec Xfce 4.10 c'est dans le menu des paramètres. Très pratique.


If it ain't broke, don't fix it.

Hors ligne

#4 19-08-2012 14:41:51

aramis_qc
Membre
Lieu : Québec, Canada
Distrib. : JESSIE
Noyau : Linux 3.16.0-4-amd64
(G)UI : GNOME 3.14.1
Inscription : 09-06-2007
Site Web

Re : XFCE 4.10

Wheezy est en période de gel et c'est toujours la version 4.8. Je n'ai pas posté sur D-F depuis quelques lunes, cependant j'informe  que 4.10 est en SID.

Wheezy installera par défaut le bureau Xfce au lieu de GNOME. C'est ce qui s'affiche sur la version 7 (bêta) de l'installateur.

Hors ligne

#5 19-08-2012 15:16:45

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : XFCE 4.10

aramis_qc a écrit :

cependant j'informe  que 4.10 est en SID.



La version 4.10 de Xfce4 dans Sid ? Où, quand, comment ?

martin@madebian:~$ apt-cache policy xfce4
xfce4:
  Installé : 4.8.0.3
  Candidat : 4.8.0.3
 Table de version :
     4.10.0 0
          1 http://ftp2.fr.debian.org/debian/ experimental/main amd64 Packages
 *** 4.8.0.3 0
        500 http://ftp2.fr.debian.org/debian/ sid/main amd64 Packages
        500 http://ftp2.fr.debian.org/debian/ testing/main amd64 Packages
        100 /var/lib/dpkg/status
     4.6.2 0
        500 http://ftp2.fr.debian.org/debian/ squeeze/main amd64 Packages


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#6 19-08-2012 15:58:23

bel@mi
Membre
Distrib. : Stable (bpo)
Inscription : 14-04-2012

Re : XFCE 4.10

aramis_qc a écrit :

Wheezy est en période de gel et c'est toujours la version 4.8. Je n'ai pas posté sur D-F depuis quelques lunes, cependant j'informe  que 4.10 est en SID.

Wheezy installera par défaut le bureau Xfce au lieu de GNOME. C'est ce qui s'affiche sur la version 7 (bêta) de l'installateur.



Tu as testé quand ? Parce qu'au dernière nouvelles, dans les options environnement de bureau, c'est toujours gnome ... le bureau par défaut.

Hors ligne

#7 19-08-2012 17:05:45

aramis_qc
Membre
Lieu : Québec, Canada
Distrib. : JESSIE
Noyau : Linux 3.16.0-4-amd64
(G)UI : GNOME 3.14.1
Inscription : 09-06-2007
Site Web

Re : XFCE 4.10

Galandou a écrit :

aramis_qc a écrit :

Wheezy est en période de gel et c'est toujours la version 4.8. Je n'ai pas posté sur D-F depuis quelques lunes, cependant j'informe  que 4.10 est en SID.

Wheezy installera par défaut le bureau Xfce au lieu de GNOME. C'est ce qui s'affiche sur la version 7 (bêta) de l'installateur.



Tu as testé quand ? Parce qu'au dernière nouvelles, dans les options environnement de bureau, c'est toujours gnome ... le bureau par défaut.



J'ai testé avec le CD1 de Wheezy... ça affiche Xfce ou Lxde. D'ailleurs le thème est Joy maintenant. Ce n'est plus celui que l'on voit avec Squeeze.

Je refais des essais et je donne les détails d'ici quelques jours.

Hors ligne

#8 19-08-2012 17:07:25

aramis_qc
Membre
Lieu : Québec, Canada
Distrib. : JESSIE
Noyau : Linux 3.16.0-4-amd64
(G)UI : GNOME 3.14.1
Inscription : 09-06-2007
Site Web

Re : XFCE 4.10

martinux_qc a écrit :

aramis_qc a écrit :

cependant j'informe  que 4.10 est en SID.



La version 4.10 de Xfce4 dans Sid ? Où, quand, comment ?

martin@madebian:~$ apt-cache policy xfce4
xfce4:
  Installé : 4.8.0.3
  Candidat : 4.8.0.3
 Table de version :
     4.10.0 0
          1 http://ftp2.fr.debian.org/debian/ experimental/main amd64 Packages
 *** 4.8.0.3 0
        500 http://ftp2.fr.debian.org/debian/ sid/main amd64 Packages
        500 http://ftp2.fr.debian.org/debian/ testing/main amd64 Packages
        100 /var/lib/dpkg/status
     4.6.2 0
        500 http://ftp2.fr.debian.org/debian/ squeeze/main amd64 Packages



Il y a quelques mois j'ai installé une SID avec le business card et il me semble que j'avais 4.10. Je revérifierai.

Hors ligne

#9 20-08-2012 02:07:11

aramis_qc
Membre
Lieu : Québec, Canada
Distrib. : JESSIE
Noyau : Linux 3.16.0-4-amd64
(G)UI : GNOME 3.14.1
Inscription : 09-06-2007
Site Web

Re : XFCE 4.10

Désolé pour l'information erronée. En effet 4.10 n'est pas dans SID.

Hors ligne

#10 20-08-2012 02:18:55

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : XFCE 4.10

Tu es pardonnée de cette faute qui n'est pas bien grave tout compte fait. Va en paix mon frère lol.

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#11 19-09-2012 10:17:49

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : XFCE 4.10

Bonjour,

Je suis tombé sur cette page : https://sites.google.com/site/debianins … /xfce-4-10

debianinstallnotes a écrit :

This works -tested on fresh wheezy - Xfce -June 2012
I believe it works on Squeeze too.


Quelqu'un sur Squeeze a-t-il un retour ?


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#12 04-10-2012 11:24:27

kao
Modérateur
Distrib. : Testing
Noyau : Linux 4.quelquechose
(G)UI : Gnome 3
Inscription : 28-09-2012
Site Web

Re : XFCE 4.10

Moi j'ai aussi mis à jour XFCE vers 4.10 en passant par experimental et ça fonctionne plutôt bien. J'ai suivi les premières instructions de ce site:
http://crunchbanglinux.org/forums/topic … d-plugins/

Donc ajout du dépot experimental dans le /etc/apt/sources.list

deb http://ftp.debian.org/debian experimental main contrib non-free


On rafraichit la liste des paquets

sudo apt-get update



On vérifie la disponibilité:

$ apt-cache policy xfce4
xfce4:
  Installed: 4.8.0.3
  Candidate: 4.10.0
  Version table:
 *** 4.10.0 0
          1 http://ftp.pt.debian.org/debian/ experimental/main amd64 Packages
        100 /var/lib/dpkg/status
     4.8.0.3 0
        990 http://ftp.pt.debian.org/debian/ testing/main amd64 Packages
        500 http://ftp.pt.debian.org/debian/ unstable/main amd64 Packages



On installe le meta paquet xfce4 d’expérimental pour mettre tout à jour

$ sudo apt-get -t experimental install xfce4



On se déconnecte puis se reconnecte pour rafraîchir XFCE.

Comme j'avais des soucis de panneaux mal configurés, je me suis déconnecté à nouveau afin de supprimer les settings xfce4 de ma sessions. Shift + Alt + F2 pour passer en ligne de commande puis

cd ./config
mv xfce4/ xfce4.old/




Shift + Alt + F7 pour repasser à l'interface de connection puis je suis rentré à nouveau sur mon bureau.


J'ai aussi mis à jour Firefox vers la version 15

sudo apt-get -t experimental install iceweasel



Voilà je me retrouve maintenant avec XFCE, 4.10 avec Thunar 1.4 et Firefox 15

Hors ligne

#13 05-10-2012 19:19:10

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : XFCE 4.10

@ kao

Si je comprends bien, tu n'es pas sous stable au départ ? (je demande car on n'a plus l'infodistri (mais j’attends dimanche pour râler smile ))

Tu as ajouté experimental, installé xfce 4.10 puis tu viré experimental ?

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#14 05-10-2012 23:23:41

kao
Modérateur
Distrib. : Testing
Noyau : Linux 4.quelquechose
(G)UI : Gnome 3
Inscription : 28-09-2012
Site Web

Re : XFCE 4.10

Pardon j'ai oublié de préciser, je suis partie de testing (wheezy) et j'ai pioché dans expérimental.
Toutes applets ni sont pas encore, et Xfce ne me prends pas le fond d'écran, il remet celui par défaut à chaque redémarrage.

Je n'ai pas retiré le dépôt expérimental, je ne sais pas si c'est le mieux...
J'ai des soucis de version de python qui m’empêche l'installation de gedit ou blender, mais je ne sais pas encore si c'est lié.
Et je trouve qu'il n'y pas une grosse différence entre la 4.8 et la 4.10 donc ça ne vaut pas obligatoirement le coup de faire le saut.

Par contre, ce qu'il me faut absolument, c'est un thème correct, ceux par défaut ne sont pas folichons.

Dernière modification par kao (05-10-2012 23:24:49)

Hors ligne

#15 06-10-2012 00:56:49

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : XFCE 4.10

Le dépôt experimental a une priorité de 1 et ne pose pas de problème à rester en place, il n'agit que lorsqu'il est appelé avec l'option -t. smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#16 20-11-2012 00:57:42

mecanotox
Membre
Distrib. : Ubuntu 12.10 Quantal
Noyau : 3.5.0-21-generic
(G)UI : XFCE 4.10 + Thunar 1.6
Inscription : 04-06-2008

Re : XFCE 4.10

Pour ceux qui recherche XFCE en version 4.10 regardez ce sujet : Crunchbang Linux

Un tuto complet est disponible pour installer XFCE 4.10 à partir de dépôts tiers. LEs feedback sembles vraiment positifs.
De plus Crunch est basé sur Debian Testing si j'ai bien compris.

D'après les retours c'est vraiment positif.

Hors ligne

#17 20-11-2012 03:45:35

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : XFCE 4.10

Merci pour le lien.

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#18 21-05-2013 18:29:09

sogal
Black Metal Modo
Distrib. : Debian Testing
Noyau : 4.7
(G)UI : Gnome
Inscription : 09-05-2013
Site Web

Re : XFCE 4.10

Bonjour à tous,

Je me permet de faire remonter ce topic sur un sujet qui m'intéresse plutôt que d'en créer un autre. Venant de réinstaller Debian7 en stable avec XFCE j'apprends à configurer et à apprécier ce bureau après être passé par Cinnamon (pour le besoin de la rédaction d'un tuto qui sortira dès que j'aurais confirmé l'expérience en machine virtuelle! smile ). J'ai donc la version 4.8 et je vois dans ce topic que la 4.10 est sortie mais oui, mais non pas tout à fait dans les dépôts Debian.
Donc ma question: est-ce que quelqu'un l'a installé depuis et si oui, qu'en pense-t'il, est-ce stable, quelles améliorations marquantes sont apportées? Je mets un point sur la stabilité car c'est vraiment ce que je recherche maintenant.

Merci par avance de vos retours!

Machine perso : Thinkpad x230 Debian Stretch | Machine pro : Thinpad T450 openSUSE Leap 42.2

Hors ligne

#19 24-05-2013 11:59:27

TyZef
Membre
Lieu : 0°31'48.9"N 72°59'44.7"E
Distrib. : Debian8.2 (jessie)
Noyau : Noyaux Linux 3.16.0-4-amd64
(G)UI : MATE 1.8.1
Inscription : 09-05-2013

Re : XFCE 4.10

Je suis aussi très intéressé étant sous xfce 4.8

Hors ligne

#20 25-05-2013 13:07:27

Caly
Membre
Lieu : Belgique
Distrib. : Testing/Stretch
Noyau : Linux 4.6.0-1-amd64
(G)UI : XFCE
Inscription : 31-07-2011
Site Web

Re : XFCE 4.10

Salut salut,
Moi aussi ça fais un moment que je ne suis pas venu... mais je tombe par hasard sur ce sujet, si je peux aider, tant mieux.

XFCE 4.10 étant aujourd'hui dans unstable, si tu as gérer tes priorités dans /etc/apt/preferences ( http://debian-facile.org/doc:systeme:apt:pinning )
Tu peux faire:

# aptitude -t unstable install xfce4 xfce4-goodies



Et le tour est joué. :þ
(et merci à riri s'il lit le message, je n'ai pas pensé à « aptitude -t unstable » neutral)

Dernière modification par Caly (25-05-2013 13:07:47)


bepo.png vegetarian.gif

Hors ligne

#21 30-05-2013 18:01:23

sogal
Black Metal Modo
Distrib. : Debian Testing
Noyau : 4.7
(G)UI : Gnome
Inscription : 09-05-2013
Site Web

Re : XFCE 4.10

Salutations,

@ Caly: merci pour les indications, pour l'installation ça allait, ma question était surtout de savoir si, bien qu'étant dans Sid, XFCE 4.10 était suffisamment stable pour ne pas foutre en l'air une Wheezy conservée stable wink

Du coup, j'ai franchi le pas et j'ai tenté quand même, eh bien je dois dire que c'est plutôt pas mal après quelques jours d'essais, plusieurs (re)démarrage, mises en veille et hibernation, configuration et utilisation pour le boulot (en multi-écran, avec pas mal de "gros programmes" ouverts (Iceweasel, Icedove, Quod Libet, Geany, BlueGriffon et Transmission en simultané), c'est stable, aucun soucis. J'ai même l'impression que mon système est plus réactif! Thunar en tout cas l'est beaucoup plus! La transition s'est faite sans soucis, mes paramètres d'environnement ont été conservés.

Bref, pour ceux qui se posaient la question également, voici mon retour d'expérience, clairement positif après 6 jours d'utilisation 12h/jours.

Terve!

Machine perso : Thinkpad x230 Debian Stretch | Machine pro : Thinpad T450 openSUSE Leap 42.2

Hors ligne

#22 02-06-2013 06:28:24

TyZef
Membre
Lieu : 0°31'48.9"N 72°59'44.7"E
Distrib. : Debian8.2 (jessie)
Noyau : Noyaux Linux 3.16.0-4-amd64
(G)UI : MATE 1.8.1
Inscription : 09-05-2013

Re : XFCE 4.10

Belle info sogalpunx merci beaucoup !

Hors ligne

#23 02-06-2013 18:23:22

sogal
Black Metal Modo
Distrib. : Debian Testing
Noyau : 4.7
(G)UI : Gnome
Inscription : 09-05-2013
Site Web

Re : XFCE 4.10

Au plaisir! En espérant que ça serve! Petite précision, j'ai fait la mise à jour via Synaptic et j'ai bien pris soin de cocher toutes les entrées xfce dont la version était 4.10 et pas seulement le paquet principal dont la mise à jour seule ne suffit pas forcément à entraîner la mise à jour des paquets annexes.

Machine perso : Thinkpad x230 Debian Stretch | Machine pro : Thinpad T450 openSUSE Leap 42.2

Hors ligne

#24 20-09-2013 10:26:09

df871
Membre
Lieu : Limousin
Distrib. : Debian Wheezy 7.1 32b
Noyau : Linux 3.2.0-4-486
(G)UI : Xfce 4.8
Inscription : 17-09-2013
Site Web

Re : XFCE 4.10

Bonjour à Tous smile

Je vous ai lus et copiés... pour mettre à jour Xfce4 en version 4.10 !

Ma discussion :
http://debian-facile.org/viewtopic.php?pid=67541#p67541

Merci pour votre aide smile

Dernière modification par df871 (20-09-2013 10:26:29)


Cordialement
Bernard
Crées, Consolides... puis, Continues à Créer smile
Asus P4P800, P4C 2,6Ghz, Seagate laptop SSHD 500Go, Nvidia GF 6200 512 Mo avec Debian 7.0, Xfce 4.08

Hors ligne

#25 20-08-2014 00:56:41

Patriboom
Membre
Lieu : Arctique canadien
Distrib. : Jessie
Noyau : Linux 3.16.0-4-686-pae
(G)UI : MATE
Inscription : 25-12-2008
Site Web

Re : XFCE 4.10

Bruno10 a écrit :

Thuban a écrit :

Un éditeur de type MIME? C'est à dire?


MIME= Multipurpose Internet Mail Extensions

L'éditeur de type MIME permet d'associer un lanceur à une extension de fichier. Par exemple j'ai décidé que tous mes fichiers .pdf s'ouvrent par défaut avec Evince, mes .jpg avec Gnenview, mes .doc avec LibreOffice Writer, etc.

Et donc avec Xfce 4.10 c'est dans le menu des paramètres. Très pratique.




C'est bien ce que je voudrais définir aussi, mais pdf avec evince, comment fait-on?


Portez la paix
Patrick Allaire, ptre

Hors ligne

Pied de page des forums